cURL
curl -X POST https://api.aiql.io/requests/req_7f3a/changes \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"type": "SOURCE_ADD", "description": "Add the Q3 report source", "source_id": "ing_9d2c"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
change = client.requests.changes.create(
"req_7f3a",
type="SOURCE_ADD",
description="Add the Q3 report source",
source_id="ing_9d2c",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const change = await client.requests.changes.create("req_7f3a", {
type: "SOURCE_ADD",
description: "Add the Q3 report source",
sourceId: "ing_9d2c",
});{
"id": "<string>",
"type": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": {
"id": "<string>",
"title": "<string>",
"filename": "<string>",
"size": 123,
"total_pages": 123,
"folder_name": "<string>",
"summary": "<string>",
"connector_type": "<string>",
"connector_name": "<string>"
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Request Changes
Add Request Change
POST
/
requests
/
{id}
/
changes
cURL
curl -X POST https://api.aiql.io/requests/req_7f3a/changes \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID" \
-H "Content-Type: application/json" \
-d '{"type": "SOURCE_ADD", "description": "Add the Q3 report source", "source_id": "ing_9d2c"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
change = client.requests.changes.create(
"req_7f3a",
type="SOURCE_ADD",
description="Add the Q3 report source",
source_id="ing_9d2c",
)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const change = await client.requests.changes.create("req_7f3a", {
type: "SOURCE_ADD",
description: "Add the Q3 report source",
sourceId: "ing_9d2c",
});{
"id": "<string>",
"type": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": {
"id": "<string>",
"title": "<string>",
"filename": "<string>",
"size": 123,
"total_pages": 123,
"folder_name": "<string>",
"summary": "<string>",
"connector_type": "<string>",
"connector_name": "<string>"
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Body
application/json
Response
Successful Response
Unique identifier of the change.
Type of change.
Description of the change.
Timestamp when the change was created.
Timestamp when the change was last updated.
Source targeted by this change.
Show child attributes
Show child attributes